Subject: [secdir] secdir review of draft-melnikov-mailserver-uri-to-historic-00

From: "Richard L. Barnes" <[email-masked]>
Date: Mon, 22 Nov 2010 11:20:46 -0500

I have reviewed this document as part of the security directorate's  
ongoing effort to review all IETF documents being processed by the  
IESG.  These comments were written primarily for the benefit of the  
security area directors.  Document editors and WG chairs should treat  
these comments just like any other last call comments.

As the name suggests, this document requests that IANA change the  
registration status of the "mailserver:" URI scheme to  
"Historic" (from its current status as "Provisional").  The document  
explains the lack of interoperability around this URI scheme, and  
describes better alternatives that developers should use.

I agree with the document's assessment that it does not create any new  
security concerns.  By reducing the ambiguity related to "mailserver:"  
URIs, this change in status should reduce the risk the improper  
implementations will create security vulnerabilities in software.

--Richard